Package com.castlabs.sdk.claws

# Class ClawsServiceConnection

java.lang.Object
com.castlabs.sdk.claws.ClawsServiceConnection

All Implemented Interfaces:
  `ServiceConnection`

public class ClawsServiceConnection extends Object implements ServiceConnection

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClawsServiceConnection(ClawsServiceListener listener)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `connectClaws()`
  `void`
  `connectService(Context context)`
  `void`
  `disconnectService()`
  `void`
  `emitTransferAccepted(long assetId, Device sourceDevice)`
  `void`
  `emitTransferCanceled(long assetId, Device sourceDevice)`
  `ClawsServiceBinder`
  `getBinder()`
  `void`
  `onServiceConnected(ComponentName name, IBinder service)`
  `void`
  `onServiceDisconnected(ComponentName name)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface android.content.ServiceConnection

  `onBindingDied, onNullBinding`

- ## Constructor Details

  - ### ClawsServiceConnection

    public ClawsServiceConnection(@Nullable ClawsServiceListener listener)

- ## Method Details

  - ### onServiceConnected

    public void onServiceConnected(ComponentName name, IBinder service)
    Specified by:
      `onServiceConnected` in interface `ServiceConnection`

  - ### onServiceDisconnected

    public void onServiceDisconnected(ComponentName name)
    Specified by:
      `onServiceDisconnected` in interface `ServiceConnection`

  - ### connectClaws

    public void connectClaws()

  - ### connectService

    public void connectService(Context context)

  - ### disconnectService

    public void disconnectService()

  - ### getBinder

    @Nullable public ClawsServiceBinder getBinder()

  - ### emitTransferCanceled

    public void emitTransferCanceled(long assetId, Device sourceDevice)

  - ### emitTransferAccepted

    public void emitTransferAccepted(long assetId, Device sourceDevice)